
	;Vasuti fenysorompot kezelo modul
	;500ms ciklusidovel kell hivni (pl. a villogast kezelo reszbol)
	;visszateresi erteke a kimenetek allapota W-ben:
	;a konstanskent megadott FENY_FEHER, FENY_VOROS1 vagy FENY_VOROS2 ertek
	;a foprogramnak ezt kell a megfelelo kimenetekre masolni
	;(inicializalasra nincs szukseg, a szamlalas akarhonnan indulhat)
FENYSOROMPO:
	incf	FENY_low	;also byte novelese (500ms)
	btfsc	STATUS,Z	;'skip next' ha nem volt atvitel
	incf	FENY_high	;felso byte novelese (128s)
	rlf	FENY_low,W	;also byte legfelso bitje Carry-be (RLF atvitel)
	rlf	FENY_high,W	;a szamlalo 128-ad resze W-ben
	movwf	FENY_temp	;W az atmeneti taroloba (tovabbi forgatashoz)
	bcf	STATUS,C	;Carry torlese az RLF utasitashoz
	btfsc	FENY_low,6	;'skip next' ha nem kell bitet beforgatni
	bsf	STATUS,C	;Carry beallitasa az RLF utasitashoz (fenyL.6)
	rlf	FENY_temp,W	;a szamlalo 64-ed resze W-ben (32s szamlalo)
	andlw	15		;nulla lesz minden 16.lepesben (8percenkent 32s)
	btfsc	STATUS,Z	;'skip next' ha nem nulla (szabad jelzes)
	goto	FENY_SETVOROS	;ugras a tilos jelzes kiadasara
FENY_SETFEHER:
	movlw	FENY_FEHER	;FEHER kigyujtva, VOROS1 es VOROS2 sotet allapot
	btfss	FENY_low,0	;'skip next' az 500ms szamlalo bit0 masolasahoz
	movlw	FENY_SOTET	;mindegyik ego sotet
	goto	FENY_VEGE	;szepen fejezzuk be (kozos 'return')
FENY_SETVOROS:
	movlw	FENY_VOROS1	;VOROS1 kigyujtva, VOROS2 es FEHER sotet allapot
	btfss	FENY_low,0	;'skip next' az 500ms szamlalo bit0 masolasahoz
	movlw	FENY_VOROS2	;VOROS2 kigyujtva, VOROS1 es FEHER sotet allapot
FENY_VEGE:
	return			;visszaterunk W-ben a lampaallapotokkal

	